Patch Client

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Patches the specified client.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
client:updateApplicationThe subject can update all clients under the application to which the subject belongs.
TenantThe subject can update all clients associated with the tenant to which the subject belongs.
Tenant Inclusion ListThe subject can update all clients associated with tenants specified in the tenant inclusion list.
Tenant Exclusion ListThe subject can update all clients associated with tenants in the subject's application who are not on the tenant exclusion list.
SelfA client subject can update itself.
Path Params
string
required
length between 1 and 26

The ID of the client that the resource or action is scoped to.

Body Params

Client patch request adhering to the JSON Merge Patch specification.

OAuth2 Client

string
enum
length between 1 and 30

[Required on Create] The type of the owner of the resource.

Allowed:
string
length between 1 and 26

[Required on Create] The ID of the owner of the resource.

string
enum
length between 1 and 45

[Required on Create] Enum representing the type of OAuth2 Client

Allowed:
string
length between 1 and 60

[Required on Create] Name associated to the client. The name must be unique (case-insensitive) within the scope of its owning entity.

Applies to client types:

  • All
string
length between 1 and 500

Description of the client.

Applies to client types:

  • All
uri
length between 1 and 2000

The URL that users will be redirected to in order to initiate the login flow. If a value is specified, it will take precedence over the login URL defined on the Application entity. If the {tenant_domain} placeholder is used as the left most domain label in the login URL, it will be substituted with the current tenant's name when the redirect occurs.

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP
grantTypes
array of strings
length between 1 and 10

[Required on Create] The list of grant type flows that the OAuth2 Client supports. The grant types supported for each client type are as follows:

  • BACKEND_SERVER -> [AUTHORIZATION_CODE, REFRESH_TOKEN, CLIENT_CREDENTIALS]
  • MACHINE_TO_MACHINE -> [CLIENT_CREDENTIALS]
  • NATIVE -> [AUTHORIZATION_CODE, REFRESH_TOKEN]
  • SINGLE_PAGE_APP -> [AUTHORIZATION_CODE, REFRESH_TOKEN]

Applies to client types:

  • All
redirectUris
array of uris
length ≤ 10

List of registered redirect URIs that can be used as part of the AUTHORIZATION_CODE grant type flow. If the {tenant_domain} placeholder is used as the left most domain label in the redirect URI, it will be substituted with the current tenant's name when the redirect occurs.

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP
redirectUris
boolean
Defaults to false

Boolean indicating whether login sessions are enabled for the given client.

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP
string
Defaults to PT60M

[min = 30 minutes / max = 60 minutes] ISO 8601 duration representing how long the user has to complete a login request initiated by this client. This value will only be applied if login sessions are enabled.

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP
string

[min = 5 minutes / max = 24 hours] ISO 8601 duration representing how long until access tokens issued to this client expire.

Applies to client types:

  • All

NOTE: The default for all client types, EXCLUDING the MACHINE_TO_MACHINE, client type is 30 minutes. The default for MACHINE_TO_MACHINE clients is 24 hours.

string
Defaults to PT30M

[min = 5 minutes / max = 24 hours] ISO 8601 duration representing how long until OIDC ID tokens issued to this client expire.

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP
string
Defaults to PT24H

[min = 5 minutes / max = 90 days] ISO 8601 duration representing how long until refresh tokens issued to this client expire due to the client not making a refresh token exchange (idle/inactivity).

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP
string
Defaults to PT24H

[min = 5 minutes / max = 365 days] ISO 8601 duration representing how long until refresh tokens issued to this client expires, regardless of whether refresh token exchanges have been made or not.

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP
boolean

Boolean indicating whether refresh token rotation is enabled for the given client.

Applies to client types:

  • BACKEND_SERVER
  • NATIVE
  • SINGLE_PAGE_APP

NOTE: Default configuration for each applicable client type is as follows:

  • BACKEND_SERVER -> false
  • NATIVE -> false
  • SINGLE_PAGE_APP -> true
Headers
string
length ≥ 1

Used to perform a conditional update

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json